<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;
use App\Http\Resources\GrupoDeCompraReducidoResource;
use App\Http\Resources\GrupoDeCompraResource;
use App\UserRole;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserController extends Controller
{
    public function session(Request $request)
    {
        if (Auth::check()) {
            $user = Auth::user();
            $grupo_de_compra = GrupoDeCompra::find($user->grupo_de_compra_id);
            $result = [
                'is_authenticated' => true,
                'role_id' => $user->role_id,
                'grupo_de_compra' => null,
            ];
            switch (UserRole::find($user->role_id)->nombre ?? 'error') {
                case 'barrio':
                    $result['grupo_de_compra'] = new GrupoDeCompraReducidoResource($grupo_de_compra);
                    break;
                case 'admin_barrio':
                    $result['grupo_de_compra'] = new GrupoDeCompraResource($grupo_de_compra);
                    break;
                case 'comision':
                    break;
                default:
                    abort(400, 'Rol invalido');
            }
            return $result;
        }
        return ['is_authenticated' => false];
    }
}
